App::CELL::Util(3pm)

NAME
App::CELL::Util - generalized, reuseable functions

SYNOPSIS
    use App::CELL::Util qw( utc_timestamp is_directory_viable );

    # utc_timestamp
    print "UTC time is " . utc_timestamp() . "\n";

    # is_directory_viable
    my $status = is_directory_viable( $dir_foo );
    print "$dir_foo is a viable directory" if $status->ok;
    if ( $status->not_ok ) {
        my $problem = $status->payload;
        print "$dir_foo is not viable because $problem\n";
    }

EXPORTS
This module provides the following public functions:

"is_directory_viable"
"stringify_args"
"utc_timestamp"

PACKAGE VARIABLES

FUNCTIONS

  is_directory_viable
Run viability checks on a directory. Takes: full path to directory. Returns true (directory viable) or false (directory not viable). If the directory is not viable, it sets the package variable $App::CELL::Util::not_viable_reason.

  stringify_args
Convert args (or any data structure) into a string -- useful for error reporting.

  utc_timestamp